The BOOST_PP_INDIRECT_SELF macro is a user-defined named external argument used by BOOST_PP_INCLUDE_SELF.

#### Usage

#define BOOST_PP_INDIRECT_SELF filename

#### Arguments

filename
  A quoted or angle-bracketed filename to be included by BOOST_PP_INCLUDE_SELF.

#### Remarks

Most preprocessors will not allow a file to directly include itself--even when the file protects itself from such a scenario. This macro, in combination with BOOST_PP_INCLUDE_SELF allows a file to include itself indirectly.
This macro is automatically undefined for reuse by a call to BOOST_PP_INCLUDE_SELF.

#### See Also

- BOOST_PP_INCLUDE_SELF